TP/SL trigger book
curl --request POST \
--url 'https://api.hypedexer.com/info#tpslBook' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "tpslBook",
"coin": "ETH",
"lookbackDays": 1
}
'import requests
url = "https://api.hypedexer.com/info#tpslBook"
payload = {
"type": "tpslBook",
"coin": "ETH",
"lookbackDays": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'tpslBook', coin: 'ETH', lookbackDays: 1})
};
fetch('https://api.hypedexer.com/info#tpslBook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hypedexer.com/info#tpslBook",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'tpslBook',
'coin' => 'ETH',
'lookbackDays' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hypedexer.com/info#tpslBook"
payload := strings.NewReader("{\n \"type\": \"tpslBook\",\n \"coin\": \"ETH\",\n \"lookbackDays\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hypedexer.com/info#tpslBook")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"tpslBook\",\n \"coin\": \"ETH\",\n \"lookbackDays\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hypedexer.com/info#tpslBook")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"tpslBook\",\n \"coin\": \"ETH\",\n \"lookbackDays\": 1\n}"
response = http.request(request)
puts response.read_body{
"coin": "ETH",
"levels": [
{
"side": "A",
"triggerCondition": "Price above 44000",
"triggerPx": "44000",
"isPositionTpsl": true,
"totalSz": "0",
"nOrders": 1
},
{
"side": "B",
"triggerCondition": "Price above 22399",
"triggerPx": "22399",
"isPositionTpsl": false,
"totalSz": "0.8552",
"nOrders": 1
}
]
}{
"error": "Invalid API key"
}Order Book
TP/SL trigger book
Aggregated book of the resting trigger orders (take profit, stop loss and other trigger orders) of every user on one coin, grouped by trigger price and side. No addresses are returned: each level gives the summed size and the number of orders.
isPositionTpsl: truemarks TP/SL attached to a whole position; such levels showtotalSz0.- Levels are sorted by
triggerPx, highest first. - The response can be large (hundreds of KB on a major coin) and slow (from a few seconds to tens of seconds on BTC). Keep
lookbackDayssmall. A request that runs longer than about 30 seconds comes back as400 {"error": "Unknown type: <type>"}: the type exists, the request timed out. Retry with a narrower window or a smallerlimit.
POST
/
info#tpslBook
TP/SL trigger book
curl --request POST \
--url 'https://api.hypedexer.com/info#tpslBook' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "tpslBook",
"coin": "ETH",
"lookbackDays": 1
}
'import requests
url = "https://api.hypedexer.com/info#tpslBook"
payload = {
"type": "tpslBook",
"coin": "ETH",
"lookbackDays": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'tpslBook', coin: 'ETH', lookbackDays: 1})
};
fetch('https://api.hypedexer.com/info#tpslBook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hypedexer.com/info#tpslBook",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'tpslBook',
'coin' => 'ETH',
'lookbackDays' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hypedexer.com/info#tpslBook"
payload := strings.NewReader("{\n \"type\": \"tpslBook\",\n \"coin\": \"ETH\",\n \"lookbackDays\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hypedexer.com/info#tpslBook")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"tpslBook\",\n \"coin\": \"ETH\",\n \"lookbackDays\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hypedexer.com/info#tpslBook")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"tpslBook\",\n \"coin\": \"ETH\",\n \"lookbackDays\": 1\n}"
response = http.request(request)
puts response.read_body{
"coin": "ETH",
"levels": [
{
"side": "A",
"triggerCondition": "Price above 44000",
"triggerPx": "44000",
"isPositionTpsl": true,
"totalSz": "0",
"nOrders": 1
},
{
"side": "B",
"triggerCondition": "Price above 22399",
"triggerPx": "22399",
"isPositionTpsl": false,
"totalSz": "0.8552",
"nOrders": 1
}
]
}{
"error": "Invalid API key"
}Authorizations
Your Hypedexer API key, sent as Authorization: Bearer <key>. The X-API-Key: <key> header and the api_key query parameter are accepted as well.
Body
application/json